## org.eclipse.amp.amf.sd.util
Class PropertyGetter

    java.lang.Object
      org.eclipse.amp.amf.sd.util.PropertyGetter

Direct Known Subclasses:
  PackageGetter, SrcGenGetter

    public abstract class PropertyGetter

extends java.lang.Object

Constructor Summary
`PropertyGetter()`

Method Summary
`java.lang.String` `getProperty(IAgentChild agentChild)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyGetter

    public PropertyGetter()

Method Detail

### getProperty

    public java.lang.String getProperty(IAgentChild agentChild)